CKEDITOR.plugins.add( 'hide',
{

	init: function( editor )
	{

		editor.addCommand( 'hideCommand',
		{
			exec : function( editor )
			{
				var selected = '';
				if  (editor.getSelection().getSelectedText()) {
					selected = editor.getSelection().getSelectedText();
				} else {
					alert('رجاء تحديد الجزء الذى تريد اخفاؤة');
					return;
				}
				editor.insertHtml( "[hide]" + selected +"[/hide]" );
				
				//editor.esWrapAroundSelection('[hide]', '[/hide]');
				//editor.config.contentsLangDirection = 'rtl';
				//alert(editor.config.contentsLangDirection);
			}
		});
		editor.ui.addButton( 'hide',
		{
			label: 'لإدراج محتوى مخفي لا يمكن مشاهدته قبل الرد على الموضوع',
			command: 'hideCommand',
			icon: this.path + 'hide.gif'
		});
	}
});